4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Build

Classes: Build

## Classes

class Build(distutils.command.build.build)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class build
  get_source_files(self)
    Called by 'sdist' command.
  has_docs(self)
  has_l10n(self)
  initialize_options(self)
    Overrides: initialize_options from class build
  run(self)
    Overrides: run from class build

  ### Methods inherited from class distutils.command.build.build

  has_c_libraries, has_ext_modules, has_pure_modules, has_scripts

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['debug', 'force', 'with-docs', 'without-docs']
  command_name = 'build'
  description = 'build everything needed to install'
  help_options = [('help-compiler', None, 'list available compilers', <function show_compilers>)]
  negative_opt = {'without-docs': 'with-docs'}
  sub_commands = [('build_py', <function has_pure_modules>), ('build_clib', <function has_c_libraries>), ('build_ext', <function has_ext_modules>), ('build_scripts', <function has_scripts>), ('build_docs', <function has_docs>), ('build_l10n', <function has_l10n>)]
  user_options = [('build-base=', 'b', 'base directory for build library'), ('build-lib=', None, 'build directory for all distributions'), ('build-scripts=', None, 'build directory for scripts'), ('build-temp=', 't', 'temporary build directory'), ('build-docs=', None, 'build directory for documents'), ('build-l10n=', None, 'build directory for binary message catalogs'), ('compiler=', 'c', 'specify the compiler type'), ('ldflags=', 'l', 'specify additional linker options'), ('debug', 'g', 'compile with debugging information'), ('force', 'f', 'forcibly build everything (ignore file timestamps)'), ('with-docs', None, 'ignored; maintained for compatability'), ('without-docs', None, 'ignored; maintained for compatability')]